"use strict";
var core_1 = require('@angular/core');
var fade_1 = require('./animations/fade');
var bounce_1 = require('./animations/bounce');
var rotate_1 = require('./animations/rotate');
var slide_1 = require('./animations/slide');
var zoom_1 = require('./animations/zoom');
exports.animateFactory = function (duration, delay, easing) {
    if (duration === void 0) { duration = 500; }
    if (delay === void 0) { delay = 0; }
    if (easing === void 0) { easing = 'linear'; }
    var timing = [
        typeof (duration) === 'number' ? duration + "ms" : duration,
        typeof (delay) === 'number' ? delay + "ms" : delay,
        easing
    ].join(' ');
    return core_1.trigger('animate', fade_1.fade(timing).concat(bounce_1.bounce(timing), rotate_1.rotate(timing), slide_1.slide(timing), zoom_1.zoom(timing)));
};
//# sourceMappingURL=index.js.map